> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/guides/orders/get-order-details/customer-data-in-order-details.md).

# Customer data in order details

Get the following data about the customer who placed the order with Ecwid API:

* Customer email
* Shipping and billing address left by the customer at the checkout
* Customer's phone number
* Order comments left by the customer at the checkout
* Internal IDs of the customer and their group for REST API calls
* Browser/device used by the customer to place the order
* Customer's IP address

### Configured order API call

You can filter out everything in the order details except for the customer data with the `responseFields` query param.

#### Request example:

{% code overflow="wrap" %}

```http
GET /api/v3/STOREID/orders/ORDERID?responseFields=email,shippingPerson,billingPerson,orderComments,customerId,customerGroupId,customerUserAgent,ipAddress HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

{% endcode %}

Change `STOREID` with your store ID, `ORDERID` with the order ID ([find order ID](/api-reference/rest-api/orders/search-orders.md)), and the `secret_token` with the secret access token of your app.

#### Response example:

```json
{
    "email": "ec.apps@lightspeedhq.com",
    "billingPerson": {
        "name": "API Support team",
        "firstName": "API",
        "lastName": "Support team",
        "companyName": "Ecwid",
        "street": "Anhalter Strasse 98",
        "city": "Niederhausen An Der Appel",
        "countryCode": "ES",
        "countryName": "Spain",
        "postalCode": "08003",
        "stateOrProvinceCode": "AL",
        "stateOrProvinceName": "Alava",
        "phone": "+1(234)56-78-90"
    },
    "orderComments": "Test order",
    "customerId": 270919557,
    "customerUserAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36",
    "ipAddress": "80.241.251.10"
}
```

If some fields are missing in the response, Ecwid couldn't get these details at the checkout, or the order wasn't placed through it. The only fields that should always be in the response are: `email` and `customerId`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/guides/orders/get-order-details/customer-data-in-order-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
